Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
lenhatminh078

Lisp Vẽ Đường Thẳng Có Ghi Kích Thước Không Bắt Điểm Được...

Các bài được khuyến nghị

MÌNH CÓ SƯU TẦM ĐƯỢC LISP VẼ POLYLINE KÈM KÍCH THƯỚC NHƯNG LẠI KO BẮT ĐIỂM ĐƯỢC VUÔNG GÓC

 

MONG MỌI NGƯỜI GIÚP MÌNH VIẾT THÊM CHẾ ĐỘ BẮT ĐIỂM, VÌ MÌNH LÀM BÊN CẤP THOÁT NƯỚC NÊN CÁI NÀY MÌNH THẤY THẬT SỰ RẤT HAY

 

CẢM ƠN MỌI NGƯỜI

 

http://www.cadviet.com/upfiles/6/121269_plktve_duong_pl_co_kich_thuoc.lsp

 

(defun c:PLKT ( )
 
(command "undo" "be")
 
  (if (null dolora)(setq dolora "4"))
 
(Setq temp T)
 
(While temp
 
(setq a (strcat "\nKhoang cach dim hien hanh la (" dolora ") /<Diem dau tien>: "))
 
(Initget "k K")
 
(setq str (getpoint a))
 
(Cond
 
  ((= str "k") (setq dolora (getstring ("\nKhoang cach dim voi line <" dolora "> :"))))
 
  ((= str "K") (setq dolora (getstring ("\nKhoang cach dim voi line <" dolora "> :"))))
 
   (Progn
 
  (Setq a str)
 
   (setq temp nil)
 
  )
 
)
 
)
 
 
 
(setq b (getpoint "\nChon diem tiep theo: "))
 
(setq luubatdiem (getvar "osmode"))
 
  (setvar "osmode" 0)
 
(setq doclora (atof dolora))
 
(setq gocxeo(angle a B))
 
(setq daiab (distance a B))
 
(setq c (polar a gocxeo (/ daiab 2)))
 
(setq d (polar c (+ gocxeo (/ pi 2)) doclora))
 
 
 
(command ".pline" a b "")
 
(setq plhoinay (entlast))
 
(command "DIMALIGNED" a b d)
 
(cond
 
((> gocxeo (/ pi 2)) (command ".rotate" "last" "" c 180))
 
)
 
(setq a B)
 
(setvar "osmode" luubatdiem)
 
(While (setq b (getpoint "\nChon diem tiep theo: <Enter de ket thuc> "))
 
(setq luubatdiem (getvar "osmode"))
 
  (setvar "osmode" 0)
 
(setq doclora (atof dolora))
 
(setq gocxeo(angle a B))
 
(setq daiab (distance a B))
 
(setq c (polar a gocxeo (/ daiab 2)))
 
(setq d (polar c (+ gocxeo (/ pi 2)) doclora))
 
 
 
(command ".pline" a b "")
 
(command "pedit" "m" "L" plhoinay "" "j" "0" "")
 
(setq plhoinay (entlast))
 
(command "DIMALIGNED" a b d)
 
(cond
 
((> gocxeo (/ pi 2)) (command ".rotate" "last" "" c 180))
 
)
 
(setq a B)
 
(setvar "osmode" luubatdiem)
 
)
 
(command "undo" "end")
 
(Princ)
 
)
Chỉnh sửa theo lenhatminh078

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×